Package org.spongepowered.asm.mixin.refmap

## Interface IMixinContext

All Known Implementing Classes:
  `MixinTargetContext`

    public interface IMixinContext

Context for performing reference mapping

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getClassName()` Get the mixin class name
`java.lang.String` `getClassRef()` Get the internal mixin class name
`Extensions` `getExtensions()` Get the mixin transformer extension manager
`IMixinInfo` `getMixin()` Get the mixin info
`boolean` `getOption​(MixinEnvironment.Option option)` Retrieve the value of the specified `option` from the environment this mixin belongs to.
`int` `getPriority()` Get the priority of the mixin
`IReferenceMapper` `getReferenceMapper()` Get the reference mapper for this mixin
`java.lang.String` `getTargetClassName()` Get the name of the target class for this context
`java.lang.String` `getTargetClassRef()` Get the internal name of the target class for this context

### Method Detail

#### getMixin

    IMixinInfo getMixin()

Get the mixin info

#### getExtensions

    Extensions getExtensions()

Get the mixin transformer extension manager

#### getClassName

    java.lang.String getClassName()

Get the mixin class name

Returns:
  the mixin class name

#### getClassRef

    java.lang.String getClassRef()

Get the internal mixin class name

Returns:
  internal class name

#### getTargetClassName

    java.lang.String getTargetClassName()

Get the name of the target class for this context

Returns:
  target class name

#### getTargetClassRef

    java.lang.String getTargetClassRef()

Get the internal name of the target class for this context

Returns:
  internal target class name

#### getReferenceMapper

    IReferenceMapper getReferenceMapper()

Get the reference mapper for this mixin

Returns:
  ReferenceMapper instance (can be null)

#### getOption

    boolean getOption​(MixinEnvironment.Option option)

Retrieve the value of the specified `option` from the environment this mixin belongs to.

Parameters:
  `option` - option to check
Returns:
  option value

#### getPriority

    int getPriority()

Get the priority of the mixin